org.bdgenomics.adam.models

# ReferencePosition

###
Related Docs: class ReferencePosition | package models

#### object ReferencePosition extends Serializable

Companion object for creating and sorting ReferencePositions.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReferencePosition
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val UNMAPPED: ReferencePosition

   The UNMAPPED value is a convenience value, which can be used to indicate a position which is not located anywhere along the reference sequences (see, e.g.

   The UNMAPPED value is a convenience value, which can be used to indicate a position which is not located anywhere along the reference sequences (see, e.g. its use in GenomicPositionPartitioner).

5. #### def apply(referenceName: String, pos: Long, strand: Strand): ReferencePosition

   Convenience method for building a ReferencePosition.

   Convenience method for building a ReferencePosition.

   referenceName

     The name of the reference contig this locus exists on.

   pos

     The position of this locus.

   strand

     The strand that this locus is on.

6. #### def apply(referenceName: String, pos: Long): ReferencePosition

   Convenience method for building a ReferencePosition.

   Convenience method for building a ReferencePosition.

   referenceName

     The name of the reference contig this locus exists on.

   pos

     The position of this locus.

7. #### def apply(genotype: Genotype): ReferencePosition

   Generates a reference position from a genotype.

   Generates a reference position from a genotype.

   genotype

     Genotype from which to generate a reference position.

   returns

     The reference position of this genotype.

8. #### def apply(variant: Variant): ReferencePosition

   Generates a reference position from a called variant.

   Generates a reference position from a called variant.

   variant

     Called variant from which to generate a reference position.

   returns

     The reference position of this variant.

9. #### def apply(record: AlignmentRecord): ReferencePosition

   Generates a reference position from a read.

   Generates a reference position from a read. This function generates the position from the start mapping position of the read.

   record

     Read from which to generate a reference position.

   returns

     Reference position of the start position.

   See also

     fivePrime

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### implicit def orderingForOptionalPositions: OptionalPositionOrdering.type

22. #### implicit def orderingForPositions: PositionOrdering.type

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped